import type { ComboboxProps, ComboboxWatches, PlaceholderPropType, RequiredPropType, SuggestionsPropType } from '../../schema';
import { InputIconController } from '../@deprecated/input/controller-icon';
import type { Generic } from 'adopted-style-sheets';
export declare class ComboboxController extends InputIconController implements ComboboxWatches {
    protected readonly component: Generic.Element.Component & ComboboxProps;
    constructor(component: Generic.Element.Component & ComboboxProps, name: string, host?: HTMLElement);
    validateHasClearButton(value?: boolean): void;
    validatePlaceholder(value?: PlaceholderPropType): void;
    validateRequired(value?: RequiredPropType): void;
    validateSuggestions(value?: SuggestionsPropType): void;
    validateValue(value?: string): void;
    componentWillLoad(): void;
}
